﻿@model ASPGestionProduit.ViewModel.CommandeViewModel
<div class="container" style="width:100%;">
    <h3>Details Commande</h3>

    <div class="container mt-3" style="display:flex; flex-direction:column; justify-content:space-between; width:100vw;">
        @foreach (EtatCommande et in @Model.EtatCommandes)
        {
            <div class="row justify-content-around">

                <div class="col-3 card  mr-1 p-2 justify-content-around shadow p-3 mb-5 bg-white rounded">
                    <h6>Coordonnées Client :</h6>
                    <ul class="pl-20">
                        <li style="list-style: none;"><div class="row font-weight-bold text-info">@et.Commande.Utilisateur.Nom &nbsp; @et.Commande.Utilisateur.Prenom</div></li>
                        <li style="list-style: none;"><div class="row font-weight-bold text-info">@et.Commande.Utilisateur.Adresse</div></li>
                        <li style="list-style: none;">
                            <div class="row" style="display:flex; flex-direction:row; justify-content:flex-start;">
                                <div class="col ml-0 pl-0 font-weight-bold text-info"> @et.Commande.Utilisateur.Ville</div>
                                <div class="col font-weight-bold text-info">@et.Commande.Utilisateur.CodePostal</div>
                                <div class="col font-weight-bold text-info">@et.Commande.Utilisateur.Tpays.PaysName</div>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="col-3 card  mr-1 p-2 justify-content-around shadow p-3 mb-5 bg-white rounded">

                    <ul class="pl-20">
                        <li style="list-style:none;" class="mb-2">

                            <h6 class="row">Date Commande :</h6>
                            <div class="row font-weight-bold text-info">@et.Commande.Date</div>

                        </li>
                        <li style="list-style:none;">

                            <h6 class="row">Numero de commande :</h6>
                            <div class="row font-weight-bold text-info">@et.Commande.Id</div>

                        </li>
                    </ul>
                </div>
                <div class="col-3 card  mr-1 p-2 justify-content-between shadow p-3 mb-5 bg-white rounded">
                    <ul class="pl-20">
                        <li style="list-style:none;">
                            <h6 class="row">Moyen de paiement</h6>
                            <div class="row font-weight-bold text-info">@et.Commande.MoyenPaiement.Moyen</div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="row justify-content-around">
                @if (@ViewBag.modifie == false)
                {
                    <div class="col-3 card  p-2 justify-content-between shadow p-3 mb-5 bg-white rounded" style="height:230px;">
                        <ul class="pl-20">
                            <li style="list-style:none;" class="mb-2">
                                <h6 class="row">Date Dernier Etat</h6>
                                <div class="row font-weight-bold text-info">@et.Date</div>
                            </li>
                            <li style="list-style:none;" class="">
                                <h6 class="row">Etat de la commande</h6>
                                <div class="row font-weight-bold text-info">@et.Etat.Statut</div>
                            </li>
                        </ul>
                        <form method="get" asp-controller="Commande" asp-action="ModifieEtat">
                            <input type="hidden" name="id" value="@et.Commande.Id" />
                            <input type="hidden" name="modifie" value="true" />
                            <div class="col justify-content-center"> <button type="submit" class="btn btn-primary">Mise à jour</button></div>
                        </form>

                    </div>
                }
                else
                {
                    <div class="col-3 card  p-2 justify-content-between shadow p-3 mb-5 bg-white rounded" style="height:230px;">
                        <form method="get" asp-controller="Commande" asp-action="ValidModifieEtat">
                            <ul class="pl-20">
                                <li style="list-style:none;" class="mb-2">
                                    <h6 class="row">Date Dernier Etat</h6>
                                    <div class="row font-weight-bold text-info">@et.Date</div>
                                </li>
                                <li style="list-style:none;" class="col align-content-start pl-0">
                                    <h6 class="row">Modfication de l'Etat</h6>
                                    <input type="hidden" name="idEtatCommande" value="@et.Id" />
                                    <input type="hidden" name="modifie" value="false" />
                                    <select name="idEtat" class="browser-default custom-select ml-0 mb-1 justify-content-start">
                                        <option selected>Selectionner un etat</option>
                                        @foreach (Etat e in @Model.Etatss)
                                        {
                                            <option class="justify-content-start" value="@e.Id">@e.Statut</option>
                                        }
                                    </select>
                                </li>
                            </ul>
                            <div class="col justify-content-center"> <button type="submit" class="btn btn-primary">Valider</button></div>
                        </form>
                    </div>
                }

                <div class="col-4 card  p-2 justify-content-between shadow p-3 mb-5 bg-white rounded">
                    <h6>Etats de la commande</h6>
                    <table class="table table-condensed">
                        <thead>
                            <tr class="d-flex">
                                <th class="col-4">Date</th>
                                <th class="col-5">Etat</th>
                                <th class="col-3">Nom</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (HistoriqueEtatCommandes h in @Model.historiqueEtatCommandes)
                            {
                                <tr class="d-flex">
                                    <td class="col-4 font-weight-bold text-info" style="font-size:14px;">@h.DateEtatCommande</td>
                                    <td class="col-5 font-weight-bold text-info" style="font-size:14px;">@h.EtatComande</td>
                                    <td class="col-3 font-weight-bold text-info" style="font-size:14px;">@h.NomEmploye</td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
                <div class="col-4 card   p-2 justify-content-start shadow p-3 mb-5 bg-white rounded">
                    <h6>Produit dans la commande</h6>
                    <table class="table table-condensed">
                        <thead>
                            <tr class="d-flex">
                                <th class="col-4">Nom</th>
                                <th class="col-5">Quantité</th>
                                <th class="col-3">Prix</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (ProductCommande e in @Model.commande.ProductCommande)
                            {

                                <tr class="d-flex">
                                    <td class="col-4 font-weight-bold text-info" style="font-size:14px;">@e.Product.Titre</td>
                                    <td class="col-5 font-weight-bold text-info" style="font-size:14px;">@e.Qte</td>
                                    <td class="col-3 font-weight-bold text-info" style="font-size:14px;">@e.Product.Prix</td>
                                </tr>

                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row justify-content-around">
                <div class="col card mr-2 p-2 justify-content-around shadow p-3 mb-5 bg-white rounded" style="height:250px;">
                    <h6>Messages</h6>
                    <form method="get" asp-controller="Commande" asp-action="CreateMessageCommande">
                        <div class="input-group mb-2">
                            <input type="hidden" name="id" value="@et.Commande.Id" />
                            <textarea class="form-control" name="message" style="height:100px;" aria-label="With textarea"></textarea>
                        </div>
                        <div class="col"><button type="submit" class="btn btn-primary">Valider</button></div>
                    </form>
                </div>
                <div class="col-8 card  p-2 justify-content-start shadow p-3 mb-5 bg-white rounded">


                    <h6 class="mb-3">Historique message</h6>
                    @if (Model.messagesCommandes != null)
                    {
                        @foreach (MessagesCommandes m in Model.messagesCommandes)
                        {
                            if (m.Utilisateur.Roles.Roles != "user")
                            {
                                <div class="row justify-content-start mb-3">
                                    <div class="col justify-content-sm-start">
                                        <p class="text-info font-weight-bold mb-1">
                                            @m.Message
                                        </p>
                                        <div class="col m-0">
                                            <div class="font-italic font-weight-normal pt-0">- @m.Utilisateur.Nom -</div>
                                            <div class="font-weight-normal">le @m.Date</div>
                                        </div>
                                    </div>
                                </div>
                            }
                            else
                            {
                                <div class="row text-right mb-3">
                                    <div class="col">
                                        <p class="text-success font-weight-bold mb-1">
                                            @m.Message
                                        </p>
                                        <div class="col m-0 text-right">
                                            <div class="font-italic font-weight-normal mb-1">- @m.Utilisateur.Nom -</div>
                                            <div class="font-weight-normal">le @m.Date</div>
                                        </div>
                                    </div>
                                </div>
                            }

                        }

                    }
                    else
                    {
                        <div>
                            <div class="alert-info">Pas de message pour le moment.</div>

                        </div>

                    }



                </div>
            </div>
        }
    </div>

</div>
